> For the complete documentation index, see [llms.txt](https://docs.sickscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sickscripts.com/shared-framework/sickdirtycops/buy-sell-shop.md).

# Buy/Sell Shop

{% tabs %}
{% tab title="Sell Shop" %}
{% code lineNumbers="true" %}

```lua
Config.SellShops = {
    {
        item = 'emerald',
        label = 'Emerald',
        price = math.random(100,175),
        currency = 'money'
    },
    --[[{
        item = 'diamond',
        label = 'Diamond',
        price = math.random(400,800),
        currency = 'money'
    },]]

}


item = string, 
label = string, 
price = number, 
currency = string
```

{% endcode %}
{% endtab %}

{% tab title="Buy Shop" %}
{% code lineNumbers="true" %}

```lua
Config.BuyShop = {
    {
        item = 'thermite',
        label = 'Thermite',
        price = 10,
        currency = 'money',
        maxAmount = 10
    },
    {
        item = 'c4',
        label = 'C4',
        price = 20,
        currency = 'money',
        maxAmount = 10
    },
}

item = string, 
label = string, 
price = number, 
currency = string,
maxAmount = number
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}

```lua
Examples = {
    item = 'c4', -- This will be the item you are buying/selling 
    label = 'Cool Custom Label For the C4', -- Label if you choose to put a different name
    price = 210,  -- price for the item above
    currency = 'black_money', -- can be { 'bank', 'money', 'black_money' }
    maxAmount = 10 -- maxAmount that can be bought each storm
}
```

{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sickscripts.com/shared-framework/sickdirtycops/buy-sell-shop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
